#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	unixODBC
Version		:	2.3.11
Release		:	16.2.0.rel%{?dist}
Summary		:	A complete ODBC driver manager for Linux
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/lurcher/unixODBC/releases

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	bison
BuildRequires	:	flex
BuildRequires	:	libtool

#-----------------------------------------------------------------------------
%description
The '%{name}' package is an Open Source ODBC (Open DataBase
Connectivity) sub-system and an ODBC SDK for Linux, Mac OSX,
and UNIX. ODBC is an open specification for providing
application developers with a predictable API with which to
access data sources. Data sources include optional SQL Servers
and any data source with an ODBC Driver. unixODBC contains
the following components used to assist with the manipulation
of ODBC data sources: a driver manager, an installer library
and command line tool, command line tools to help install a
driver and work with SQL, drivers and driver setup libraries. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%doc AUTHORS COPYING NEWS README 
%{_sysconfdir}/odbc*.ini
%{_bindir}/dltest
%{_bindir}/*sql
%{_bindir}/odbc*
%{_bindir}/slencheck
%{_libdir}/libodbc*.so.*
%{_libdir}/libnn.so.*
%{_libdir}/libtemplate.so.*
%{_defaultdocdir}/%{name}-%{version}/AdministratorManual/*.{gif,html}
%{_defaultdocdir}/%{name}-%{version}/ProgrammerManual/Tutorial/*.{css,html}
%{_defaultdocdir}/%{name}-%{version}/ProgrammerManual/*.{gif,html}
%{_defaultdocdir}/%{name}-%{version}/UserManual/*.{gif,html,sql}
%{_defaultdocdir}/%{name}-%{version}/lst/*.{gif,html,vsd}
%{_defaultdocdir}/%{name}-%{version}/*.{gif,html}
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development files for programs which will use the unixODBC library

#-----------------------------------------------------------------------------
Requires	:	%{name}%{?_isa} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The unixODBC package can be used to access databases through ODBC
drivers. If you want to develop programs that will access data through
ODBC, you need to install this package.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/libodbc*.so
%{_libdir}/libnn.so
%{_libdir}/libtemplate.so
%{_libdir}/pkgconfig/*.pc
#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-gnu-ld=yes				\
	--enable-threads				\
	--enable-drivers				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#installing odbcinst file
install -m644						\
	%{name}-ok_addon/odbcinst.ini			\
	%{buildroot}/%{_sysconfdir}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#installing documentation
find doc -name "Makefile*" -delete
%{__mkdir_p}						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}
%{__cp} -a						\
	doc/*						\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#-----------------------------------------------------------------------------
%changelog
